Package org.opensaml.xmlsec

# Interface SignatureSigningParametersResolver

All Superinterfaces:
  `Resolver<SignatureSigningParameters,CriteriaSet>`

All Known Implementing Classes:
  `BasicSignatureSigningParametersResolver`, `SAMLMetadataSignatureSigningParametersResolver`, `StaticSignatureSigningParametersResolver`

public interface SignatureSigningParametersResolver extends Resolver<SignatureSigningParameters,CriteriaSet>
An interface for components which resolve `SignatureSigningParameters` based on a `CriteriaSet`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`